%{
/* hif_l.l -- lexical box for Piper-H.I.F.F. simulator */

#if 0
#define HIF_DEBUG_1 1
#endif

int hif_getc();
#undef output
#undef input
#define output(c)
#define YY_INPUT(buf,result,max_size) \
         { \
         int c = hif_getc(); \
         result = (c == EOF) ? YY_NULL : (buf[0] = c, 1); \
         }
#if 0
#define input() (\
	(\
		(\
			yytchar=\
				yysptr>yysbuf?\
					U(*--yysptr)\
					:hif_getc()\
		) == 10?\
			(yylineno++,yytchar)\
			:yytchar\
	) == (unsigned char)EOF?\
		0\
		:yytchar\
)
#endif

%}
%option yylineno
%e 2500
%a 100000
%p 4500
%n 1000
%k 3500
%%

^"--"[^\n]*$				{
								if (counting_od) {
									current_od_count++;
								}
#								ifdef HIF_DEBUG_1
								printf("COMMENTED: %s\n",yytext);
#								endif
							}
"--"[^\n]*$					{
#								ifdef HIF_DEBUG_1
								printf("COMMENTED: %s\n",yytext);
#								endif
							}
[Ss][Tt][Aa][Cc][Kk]"_"[Oo][Dd]                         {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return STACK_OD;
                                                        }
[Cc][Aa][Rr][Dd]"_"[Oo][Dd]                             {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return CARD_OD;
                                                        }
[Ff][Ii][Ee][Ll][Dd]"_"[Oo][Dd]                         {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return FIELD_OD;
                                                        }
[Bb][Uu][Tt][Tt][Oo][Nn]"_"[Oo][Dd]                     {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return BUTTON_OD;
                                                        }
[Pp][Ll][Aa][Yy]                                                        {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return PLAY;
                                                        }
[Pp][Aa][Uu][Ss][Ee]                                    {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return PAUSE;
                                                        }
[Ss][Ee][Ee][Kk]                                        {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return SEEK;
                                                        }
[Ss][Ee][Tt]"_"[Ss][Ii][Gg][Nn][Aa][Ll]                 {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return SET_SIGNAL;
                                                        }

\\[sS][cC][rR][iI][pP][tT]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SCRIPT;
							}

\\[wW][iI][nN][dD][oO][wW]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return WINDOW;
							}
\\[cC][aA][rR][dD]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								a_card_found = 1;
								return CARD;
							}
\\[cC][aA][rR][dD]"_"[fF][iI][eE][lL][dD]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CARD_FIELD;
							}
\\[cC][aA][rR][dD]"_"[sS][eE][gG][mM][eE][nN][tT]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CARD_SEGMENT;
							}
\\[cC][aA][rR][dD]"_"[bB][uU][tT][tT][oO][nN]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CARD_BUTTON;
							}

\\[nN][aA][mM][eE]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return NAME;
							}
\\[cC][aA][nN][tT][dD][eE][lL][eE][tT][eE]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CANTDELETE;
							}
\\[sS][tT][yY][lL][eE]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return STYLE;
							}
[pP][oO][lL][yY][gG][oO][nN]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return POLYGON_BUTTON;
							}
[rR][eE][cC][tT][aA][nN][gG][lL][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return RECTANGLE_BUTTON;
							}
[cC][lL][oO][sS][eE][dD]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CLOSED_LINE;
							}
[oO][pP][eE][nN]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return OPEN_LINE;
							}
[tT][rR][uU][eE]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TRUE;
							}
[fF][aA][lL][sS][eE]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return FALSE;
							}
\\[lL][oO][cC][kK][tT][eE][xX][tT]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return LOCKTEXT;
							}
\\[sS][hH][oO][wW][lL][iI][nN][eE][sS]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SHOWLINES;
							}
\\[wW][iI][dD][eE][mM][aA][rR][gG][iI][nN][sS]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return WIDEMARGINS;
							}
\\[aA][uU][tT][oO][tT][aA][bB]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return AUTOTAB;
							}
\\[tT][eE][xX][tT][fF][oO][nN][tT]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTFONT;
							}
\\[tT][eE][xX][tT][sS][tT][yY][lL][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTSTYLE;
							}
\\[lL][iI][nN][eE][sS][tT][yY][lL][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return LINESTYLE;
							}
\\[tT][eE][xX][tT][aA][lL][iI][gG][nN]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTALIGN;
							}
\\[vV][iI][sS][iI][bB][lL][eE]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return VISIBLE;
							}
\\[sS][hH][oO][wW][fF][iI][lL][lL]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SHOWFILL;
							}
\\[sS][hH][oO][wW][pP][eE][nN]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SHOWPEN;
							}
\\[sS][hH][oO][wW][nN][aA][mM][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SHOWNAME;
							}
\\[hH][iI][lL][iI][tT][eE]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return HILITE;
							}
\\[aA][uU][tT][oO][hH][iI][lL][iI][tT][eE]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return AUTOHILITE;
							}


\\[nN][uU][mM][bB][eE][rR]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return NUMBER;
							}
\\[nN][uU][mM][bB][eE][rR]"_"[cC][aA][rR][dD][sS]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return NUMBER_CARDS;
							}
\\[iI][dD]						{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ID;
							}
\\[cC][aA][rR][dD][fF][iI][eE][lL][dD][sS]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CARDFIELDS;
							}
\\[cC][aA][rR][dD][bB][uU][tT][tT][oO][nN][sS]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CARDBUTTONS;
							}
\\[tT][eE][xX][tT][hH][eE][iI][gG][hH][tT]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTHEIGHT;
							}
\\[tT][eE][xX][tT][sS][iI][zZ][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTSIZE;
							}
\\[tT][eE][xX][tT][cC][oO][lL][oO][rR]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return TEXTCOLOR;
							}
\\[lL][iI][nN][eE][cC][oO][lL][oO][rR]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return LINECOLOR;
							}
\\[lL][iI][nN][eE][tT][yY][pP][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return LINETYPE;
							}
\\[fF][iI][lL][lL][bB][aA][cC][kK]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return FILLBACK;
							}
\\[fF][iI][lL][lL][fF][oO][rR][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return FILLFORE;
							}
\\[fF][iI][lL][lL][cC][oO][lL][oO][rR]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return FILLCOLOR;
							}
\\[fF][iI][lL][lL][pP][aA][tT]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return FILLPAT;
							}
\\[sS][hH][oO][wW][fF][rR][aA][mM][eE]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return SHOWFRAME;
							}
\\[pP][eE][nN][fF][oO][rR][eE]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return PENFORE;
							}

\\[qQ][tT][yY][cC][oO][lL][uU][mM][nN]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return QTYCOLUMN;
							}

\\[qQ][tT][yY][rR][oO][wW]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return QTYROW;
							}

\\[rR][eE][cC][tT]					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return RECT;
							}

\\[pP][oO][iI][nN][tT][lL][iI][sS][tT]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return POINTLIST;
							}

ETAK_ADRS_SEARCH					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ETAK_ADRS_SEARCH;
							}
ETAK_ADRS_NEXT						{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ETAK_ADRS_NEXT;
							}
ETAK_ADRS_GETCOORD					{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ETAK_ADRS_GETCOORD;
							}
ETAK_ADRS_CLOSE						{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ETAK_ADRS_CLOSE;
							}
"~"STBODY							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return STBODY;
							}
"~"CITY							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CITY;
							}
"~"STREET							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return STREET;
							}
"~"ADDRESS							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ADDRESS;
							}
"~"ST2							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return ST2;
							}
"~"PSFX							{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return PSFX;
							}
[cC][mM][dD]"_"[dD][eE][lL][eE][tT][eE]"_"[Cc][aA][rR][dD]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_DELETE_CARD;
							}
[cC][mM][dD]"_"[sS][tT][aA][rR][tT]"_"[tT][rR][aA][pP]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_START_TRAP;
							}
[cC][mM][dD]"_"[bB][eE][eE][pP]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_BEEP;
							}
[cC][mM][dD]"_"[gG][oO][tT][oO]"_"[rR][eE][cC][oO][rR][dD]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_GOTO_RECORD;
							}
[cC][mM][dD]"_"[sS][eE][aA][rR][Cc][hH]"_"[Ii][nN][dD][eE][xX]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_SEARCH_INDEX;
							}
[cC][mM][dD]"_"[eE][xX][iI][tT]"_"[Ii][Ii][Ss]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_EXIT_IIS;
							}
[cC][mM][dD]"_"[eE][xX][iI][tT]				{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_EXIT;
							}
[cC][mM][dD]"_"[pP][oO][pP]"_"[cC][aA][rR][dD]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_POP_CARD;
							}
[cC][mM][dD]"_"[pP][uU][sS][hH]"_"[cC][aA][rR][dD]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_PUSH_CARD;
							}
[cC][mM][dD]"_"[cC][lL][oO][sS][eE]"_"[sS][fF][iI][lL][eE]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_CLOSE_SFILE;
							}
[cC][mM][dD]"_"[oO][pP][eE][nN]"_"[sS][fF][iI][lL][eE]	{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_OPEN_SFILE;
							}
[cC][mM][dD]"_"[cC][hH][aA][nN][gG][eE]"_"[cC][oO][lL][oO][rR]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_CHANGE_COLOR;
}
[cC][mM][dD]"_"[oO][pP][eE][nN]"_"[mM][aA][pP]		{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_OPEN_MAP;
							}
[cC][mM][dD]"_"[sS][tT][rR][cC][pP][yY]			{
#								ifdef HIF_DEBUG_1
								printf("RESERVED NAME: %s\n",yytext);
#								endif
								if (using_rpl || (using_hif && a_card_found))
								return CMD_STRCPY;
							}
[cC][mM][dD]"_"[sS][eE][tT]"_"[sS][tT][aA][tT][uU][sS]"_"[vV][aA][rR]		{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_SET_STATUS_VAR;
										}
[cC][mM][dD]"_"[hH][iI][dD][eE]"_"[fF][iI][eE][lL][dD]				{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_HIDE_FIELD;
										}
[cC][mM][dD]"_"[sS][hH][oO][wW]"_"[fF][iI][eE][lL][dD]				{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_SHOW_FIELD;
										}
[cC][mM][dD]"_"[rR][eE][dD][rR][aA][wW]"_"[sS][eE][gG][mM][eE][nN][tT]		{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_REDRAW_SEGMENT;
										}
[cC][mM][dD]"_"[rR][eE][wW][rR][iI][tT][eE]"_"[fF][iI][eE][lL][dD]				{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_REWRITE_FIELD;
										}
[cC][mM][dD]"_"[eE][nN][dD]"_"[tT][rR][aA][pP]					{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_END_TRAP;
										}
[cC][mM][dD]"_"[oO][pP][eE][nN]"_"[oO][bB][jJ][eE][cC][tT]			{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_OPEN_OBJECT;
										}
[cC][mM][dD]"_"[qQ][uU][eE][uU][eE]"_"[sS][iI][gG][nN][aA][lL]			{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_QUEUE_SIGNAL;
										}
[cC][mM][dD]"_"[sS][eE][nN][dD]"_"[sS][iI][gG][nN][aA][lL]			{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_SEND_SIGNAL;
										}
CMD_CD_PLAYER                                           {
#                                                               ifdef HIF_DEBUG_1
                                                                printf("RESERVED NAME: %s\n",yytext);
#                                                               endif
								if (using_rpl || (using_hif && a_card_found))
                                                                return CMD_CD_PLAYER;
                                                        }

[cC][mM][dD]"_"[pP][uU][yY]"_"[cC][mM][mM][dD]"_"[tT][oO]"_"[cC][dD][pP]			{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_PUY_CMMD_TO_CDP;
										}
[cC][mM][dD]"_"[wW][aA][iI][tT]"_"[fF][oO][rR]"_"[sS][iI][gG][nN][aA][lL]	{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_WAIT_FOR_SIGNAL;
										}
[cC][mM][dD]"_"[gG][oO]"_"[tT][oO]"_"[cC][aA][rR][dD]"_"[rR][eE][lL]		{
#											ifdef HIF_DEBUG_1
											printf("RESERVED NAME: %s\n",yytext);
#											endif
								if (using_rpl || (using_hif && a_card_found))
											return CMD_GO_TO_CARD_REL;
										}
[cC][mM][dD]"_"[gG][oO]"_"[tT][oO]"_"[cC][aA][rR][dD]		{
#									ifdef HIF_DEBUG_1
									printf("RESERVED NAME: %s\n",yytext);
#									endif
								if (using_rpl || (using_hif && a_card_found))
									return CMD_GO_TO_CARD;
								}

\\[eE][nN][dD]"_"[hH][iI][fF][fF]				{
#									ifdef HIF_DEBUG_1
									printf("END HIFF\n");
#									endif
									/* don't pass to yacc! The parser
									above us needs to deal with both
									terminated and non-terminated files. */
								}
" "								{ 
									/* blanks */ 
#									ifdef HIF_DEBUG_1
									printf("SPACE\n");
#									endif
								}
\n								{ 
									/* blanks */ 
#									ifdef HIF_DEBUG_1
									printf("LINEFEED\n");
#									endif
								}
\t								{ 
									/* blanks */ 
#									ifdef HIF_DEBUG_1
									printf("TAB\n");
#									endif
								}
"{"|"}"								{
#									ifdef HIF_DEBUG_1
									printf("%c\n",yytext[0]);
#									endif
								if (using_rpl || (using_hif && a_card_found))
									return yytext[0];
								}
"("|")"|","							{
									if (!in_name) {
#										ifdef HIF_DEBUG_1
										printf("%c\n",yytext[0]);
#										endif
								if (using_rpl || (using_hif && a_card_found))
										return yytext[0];
									}
#									ifdef HIF_DEBUG_1
									printf("%c\n",yytext[0]);
#									endif
								}
-?[0-9a-zA-Z]+							{
									if (!in_name) {
#										ifdef HIF_DEBUG_1
										printf("NUMBER: %s\n",yytext);
#										endif
									 	strcpy(yylval.value,yytext);
										yylval.type = NUM;
								if (using_rpl || (using_hif && a_card_found))
										return NUM;
									}
#									ifdef HIF_DEBUG_1
									printf("NUMBER: %s\n",yytext);
#									endif
								}
\"[^\n]*\"							{
#									ifdef HIF_DEBUG_1
									printf("STRING: %s\n",yytext);
#									endif
									strncpy(yylval.value,&yytext[1],strlen(yytext)-2);
									yylval.value[strlen(yytext)-2] = '\0';
									yylval.type = STRING;
								if (using_rpl || (using_hif && a_card_found))
									return STRING;
								}
. {}
%%

yywrap()
{
	return 1;
}

hif_getc()
{
  int c;

  c = tmp_hif[tmp_hif_index];
  if (c == 0)
    c = EOF;
  else
    tmp_hif_index++;
  return c;
}
